## opencpn-plugin-weatherfax 1.9002.0

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Sean D'Epagnier
## Copyright:   
## License:     GPLv3
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(weatherfax_pi)
SET(PACKAGE_NAME weatherfax_pi)
SET(VERBOSE_NAME WeatherFax)
SET(TITLE_NAME WEATHERFAX)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier ")

IF (UNIX)
INCLUDE("cmake/FindPortaudio.cmake")
IF (PORTAUDIO_FOUND)
    MESSAGE (STATUS "Portaudio Found")
    INCLUDE_DIRECTORIES(BEFORE ${PORTAUDIO_INCLUDE_DIRS})
    SET(PLUGINS_LIBS ${PLUGINS_LIBS} ${PORTAUDIO_LIBRARIES})
    ADD_DEFINITIONS(${PORTAUDIO_DEFINITIONS})
    ADD_DEFINITIONS(-DOCPN_USE_PORTAUDIO)
ELSE (PORTAUDIO_FOUND)
    MESSAGE (STATUS "Portaudio Not Found...")
ENDIF (PORTAUDIO_FOUND)
ELSE (UNIX)
    INCLUDE_DIRECTORIES(BEFORE ${PLUGIN_SOURCE_DIR}/include)
    IF(STANDALONE MATCHES "BUNDLED")
	# within OpenCPN tree
    	SET(PLUGINS_LIBS ${EXTRA_LIBS} ../../buildwin/portaudio_x86)
    	INSTALL(FILES "../../buildwin/portaudio_x86.dll" DESTINATION ".")
    ELSE()
    	SET(PLUGINS_LIBS ${EXTRA_LIBS} ../buildwin/portaudio_x86)
    	INSTALL(FILES "buildwin/portaudio_x86.dll" DESTINATION ".")
    ENDIF()

    ADD_DEFINITIONS(-DOCPN_USE_PORTAUDIO)
ENDIF (UNIX)

IF (MSVC)
    INCLUDE_DIRECTORIES(BEFORE ${PLUGIN_SOURCE_DIR}/include/msvc)
ENDIF (MSVC)

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_WEATHERFAX
            src/weatherfax_pi.cpp
            src/FaxDecoder.cpp
            src/DecoderOptionsDialog.cpp
            src/WeatherFax.cpp
            src/WeatherFaxWizard.cpp
            src/WeatherFaxUI.cpp
            src/WeatherFaxImage.cpp
            src/SchedulesDialog.cpp
            src/InternetRetrievalDialog.cpp
            src/AboutDialog.cpp
            src/icons.cpp

            src/wximgkap.cpp
	)

SET(SRC_AUDIOFILE
            src/libaudiofile/aupv.c
            src/libaudiofile/error.c
            src/libaudiofile/extended.c
            src/libaudiofile/g711.c
 
            src/libaudiofile/AIFF.cpp
            src/libaudiofile/AVR.cpp
            src/libaudiofile/CAF.cpp
            src/libaudiofile/IFF.cpp
            src/libaudiofile/IRCAM.cpp
            src/libaudiofile/NIST.cpp
            src/libaudiofile/NeXT.cpp
            src/libaudiofile/Raw.cpp
            src/libaudiofile/SampleVision.cpp
            src/libaudiofile/VOC.cpp

            src/libaudiofile/AudioFormat.cpp
            src/libaudiofile/Buffer.cpp
            src/libaudiofile/FLACFile.cpp
            src/libaudiofile/File.cpp
            src/libaudiofile/FileHandle.cpp
            src/libaudiofile/Instrument.cpp
            src/libaudiofile/Loop.cpp
            src/libaudiofile/Marker.cpp
            src/libaudiofile/Miscellaneous.cpp
            src/libaudiofile/Setup.cpp
            src/libaudiofile/Track.cpp
            src/libaudiofile/UUID.cpp
            src/libaudiofile/WAVE.cpp
            src/libaudiofile/aes.cpp
            src/libaudiofile/af_vfs.cpp
            src/libaudiofile/compression.cpp
            src/libaudiofile/data.cpp
            src/libaudiofile/debug.cpp
            src/libaudiofile/format.cpp
            src/libaudiofile/openclose.cpp
            src/libaudiofile/PacketTable.cpp
            src/libaudiofile/pcm.cpp
            src/libaudiofile/query.cpp
            src/libaudiofile/units.cpp
            src/libaudiofile/util.cpp

            src/libaudiofile/alac/ALACEncoder.cpp
            src/libaudiofile/alac/ALACDecoder.cpp
            src/libaudiofile/alac/ag_dec.c
            src/libaudiofile/alac/ag_enc.c
            src/libaudiofile/alac/ALACBitUtilities.c
            src/libaudiofile/alac/dp_dec.c
            src/libaudiofile/alac/dp_enc.c
            src/libaudiofile/alac/EndianPortable.c
            src/libaudiofile/alac/matrix_dec.c
            src/libaudiofile/alac/matrix_enc.c
            
            src/libaudiofile/modules/ALAC.cpp
            src/libaudiofile/modules/BlockCodec.cpp            
            src/libaudiofile/modules/FLAC.cpp
            src/libaudiofile/modules/FileModule.cpp
            src/libaudiofile/modules/G711.cpp
            src/libaudiofile/modules/IMA.cpp
            src/libaudiofile/modules/MSADPCM.cpp
            src/libaudiofile/modules/Module.cpp
            src/libaudiofile/modules/ModuleState.cpp
            src/libaudiofile/modules/PCM.cpp
            src/libaudiofile/modules/RebufferModule.cpp
            src/libaudiofile/modules/SimpleModule.cpp
)

IF(UNIX)
  find_library(RTLSDR_LIBRARY NAMES rtlsdr
    DOC "The rtlsdr library"
    )
  IF(RTLSDR_LIBRARY)
    MESSAGE (STATUS "Found rtlsdr:  ${RTLSDR_LIBRARY}")

    ADD_DEFINITIONS( "-DBUILTIN_RTLAIS" )

    SET(PLUGINS_LIBS ${PLUGINS_LIBS} ${RTLSDR_LIBRARY})
  ELSE()
    MESSAGE (STATUS "")
    MESSAGE (STATUS "================ WARNING ===================")
    MESSAGE (STATUS "rtlsdr library not found, cannot decode from rtlsdr")
    MESSAGE (STATUS "You may want to install librtlsdr-dev and run cmake again")
    MESSAGE (STATUS "============================================")
    MESSAGE (STATUS "")
  ENDIF()
ENDIF(UNIX)

      
IF(WIN32)
    IF(STANDALONE MATCHES "BUNDLED")
	# within OpenCPN tree
	INSTALL(FILES "../../buildwin/PVW32Con.exe" DESTINATION "plugins\\\\${PACKAGE_NAME}")
    ELSE()
	INSTALL(FILES "buildwin/PVW32Con.exe" DESTINATION "plugins\\\\${PACKAGE_NAME}")
    ENDIF()

ENDIF(WIN32)

INCLUDE_DIRECTORIES(BEFORE ${PLUGIN_SOURCE_DIR}/src/libaudiofile)

ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_WEATHERFAX} ${SRC_AUDIOFILE})
TARGET_LINK_LIBRARIES(${PACKAGE_NAME} ${EXTRA_LIBS})

INCLUDE("cmake/PluginXML.cmake")
INCLUDE("cmake/PluginGL.cmake")

INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-weatherfax (1.9002.0-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 13 Aug 2019 13:44:56 -0700

opencpn-plugin-weatherfax (1.9002.0-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 13 Aug 2019 13:38:19 -0700

opencpn-plugin-weatherfax (1.9002.0-0~xenial1) xenial; urgency=low

  * Version 1.9002.0

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 16:31:06 -0400

opencpn-plugin-weatherfax (1.9002.0-0~trusty1) trusty; urgency=low

  * Version 1.9002.0

 -- Dave Register <bdbcat@yahoo.com>  Sat, 11 May 2019 16:31:06 -0400

opencpn-plugin-weatherfax (1.9001.0-0~cosmic1) cosmic; urgency=low

  * Version 1.9001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 21:34:27 -0400

opencpn-plugin-weatherfax (1.9001.0-0~bionic1) bionic; urgency=low

  * Version 1.9001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 21:34:27 -0400

opencpn-plugin-weatherfax (1.9001.0-0~xenial1) xenial; urgency=low

  * Version 1.9001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 21:34:27 -0400

opencpn-plugin-weatherfax (1.9001.0-0~trusty1) trusty; urgency=low

  * Version 1.9001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 21:34:27 -0400

opencpn-plugin-weatherfax (1.8001.0-0~cosmic1) cosmic; urgency=low

  * Version 1.8001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 11:49:25 -0400

opencpn-plugin-weatherfax (1.8001.0-0~bionic1) bionic; urgency=low

  * Version 1.8001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 11:49:25 -0400

opencpn-plugin-weatherfax (1.8001.0-0~xenial1) xenial; urgency=low

  * Version 1.8001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 11:49:25 -0400

opencpn-plugin-weatherfax (1.8001.0-0~trusty1) trusty; urgency=low

  * Version 1.8001.0

 -- Dave Register <bdbcat@yahoo.com>  Fri, 10 May 2019 11:49:25 -0400

opencpn-plugin-weatherfax (1.4.0-0~precise1) precise; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.4.0-0~trusty1) trusty; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.4.0-0~utopic1) utopic; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.4.0-0~vivid1) vivid; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.4.0-0~wily1) wily; urgency=low

  * Version 1.4

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 04 Jun 2015 13:15:51 -0500

opencpn-plugin-weatherfax (1.3.1-0~lucid1) lucid; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.1-0~precise1) precise; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.1-0~trusty1) trusty; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.1-0~utopic1) utopic; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.1-0~vivid1) vivid; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:53:06 -0500

opencpn-plugin-weatherfax (1.3.0-0~lucid1) lucid; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

opencpn-plugin-weatherfax (1.3.0-0~precise1) precise; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

opencpn-plugin-weatherfax (1.3.0-0~trusty1) trusty; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

opencpn-plugin-weatherfax (1.3.0-0~utopic1) utopic; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

opencpn-plugin-weatherfax (1.3.0-0~vivid1) vivid; urgency=low

  * Version 1.3 beta

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 23 Apr 2015 11:43:12 -0500

=== debian/control ===
Source: opencpn-plugin-weatherfax
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev, libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers, libbz2-dev, libtinyxml-dev, libsdl1.2debian, libportaudio2, portaudio19-dev, libcurl4-openssl-dev, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-weatherfax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n, opencpn (>= 4.99.0), libportaudio2
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
